=== modified file 'NEWS'
--- NEWS	2008-10-31 01:40:06 +0000
+++ NEWS	2008-10-31 04:39:04 +0000
@@ -94,6 +94,11 @@
       transient failure (file not found) when another process is writing
       to the repository.  (John Arbash Meinel, #153786)
 
+    * ``bzr switch`` and ``bzr bind`` will now update the branch nickname if
+      it was previously set. All checkouts will now refer to the bound branch
+      for a nickname if one was not explicitly set.
+      (Marius Kruger, #230903)
+
   DOCUMENTATION:
 
     * Improved hook documentation. (Michael Ernst)

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2008-10-30 03:56:00 +0000
+++ bzrlib/builtins.py	2008-10-30 20:51:44 +0000
@@ -2586,10 +2586,13 @@
 
 
 class cmd_nick(Command):
-    """Print or set the branch nickname.  
-
-    If unset, the tree root directory name is used as the nickname
-    To print the current nickname, execute with no argument.  
+    """Print or set the branch nickname.
+
+    If unset, the tree root directory name is used as the nickname.
+    To print the current nickname, execute with no argument.
+
+    Bound branches use the nickname of its master branch unless it is set
+    locally.
     """
 
     _see_also = ['info']
@@ -3762,6 +3765,10 @@
 
     Once converted into a checkout, commits must succeed on the master branch
     before they will be applied to the local branch.
+
+    Bound branches use the nickname of its master branch unless it is set
+    locally, in which case binding will update the the local nickname to be
+    that of the master.
     """
 
     _see_also = ['checkouts', 'unbind']
@@ -4653,10 +4660,9 @@
     For heavyweight checkouts, this checks that there are no local commits
     versus the current bound branch, then it makes the local branch a mirror
     of the new location and binds to it.
-    
+
     In both cases, the working tree is updated and uncommitted changes
-    are merged. The user can commit or revert these as they desire. The branch
-    nickname is also updated to be that of the branch being switched to.
+    are merged. The user can commit or revert these as they desire.
 
     Pending merges need to be committed or reverted before using switch.
 
@@ -4664,6 +4670,10 @@
     directory of the current branch. For example, if you are currently in a
     checkout of /path/to/branch, specifying 'newbranch' will find a branch at
     /path/to/newbranch.
+
+    Bound branches use the nickname of its master branch unless it is set
+    locally, in which case switching will update the the local nickname to be
+    that of the master.
     """
 
     takes_args = ['to_location']

